--- title: "getCloudMysqlInstanceDetail" slug: "database-vmysql-getcloudmysqlinstancedetail" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlinstancedetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlInstanceDetail Available in VPC Get Cloud DB for MySQL instance details. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlInstanceDetail | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMysqlInstanceNo` | String | Required | Instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlInstanceDetail ?regionCode=KR &cloudMysqlInstanceNo=****890' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlInstanceList](/docs/en/common-vapidatatype-cloudmysqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlInstanceDetailResponse": { "totalRows": 1, "cloudMysqlInstanceList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServiceName": "test-****", "cloudMysqlInstanceStatusName": "running", "cloudMysqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudMysqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudMysqlImageProductCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050", "engineVersion": "MYSQL8.0.25", "license": { "code": "GPL", "codeName": "General Public License" }, "cloudMysqlPort": 13306, "isHa": true, "isMultiZone": true, "isBackup": true, "backupFileRetentionPeriod": 10, "backupTime": "02:00", "generationCode": "G2", "createDate": "2024-05-23T11:25:09+0900", "accessControlGroupNoList": [ "****58" ], "cloudMysqlConfigList": [], "cloudMysqlServerInstanceList": [ { "cloudMysqlServerInstanceNo": "****891", "cloudMysqlServerName": "test-****-001-e04", "cloudMysqlServerRole": { "code": "M", "codeName": "Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "isPublicSubnet": true, "privateDomain": "db-****.vpc-cdb.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 2791728640, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-05-23T11:34:39+0900", "createDate": "2024-05-23T11:25:09+0900" }, { "cloudMysqlServerInstanceNo": "****897", "cloudMysqlServerName": "test-****-002-e05", "cloudMysqlServerRole": { "code": "H", "codeName": "Standby Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****83", "subnetNo": "****93", "isPublicSubnet": true, "privateDomain": "db-****.vpc-cdb.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 2791728640, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-05-23T11:34:05+0900", "createDate": "2024-05-23T11:25:09+0900" } ] } ], "requestId": "2e543438-****-****-****-631436294458", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 2e543438-****-****-****-631436294458 0 success 1 ****890 test-**** running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050 MYSQL8.0.25 GPL General Public License 13306 true true true 10 02:00 G2 2024-05-23T11:25:09+0900 ****58 ****891 test-****-001-e04 M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-1 ***83 ****91 true db-****.vpc-cdb.ntruss.com ***.***.***.*** SSD SSD true 10737418240 2791728640 2 8589934592 2024-05-23T11:34:39+0900 2024-05-23T11:25:09+0900 ****897 test-****-002-e05 H Standby Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-2 ****83 ****93 true db-****.vpc-cdb.ntruss.com ***.***.***.*** SSD SSD true 10737418240 2791728640 2 8589934592 2024-05-23T11:34:05+0900 2024-05-23T11:25:09+0900 ```